Bug 1416176 - random python3 packages missing in buildroots
Summary: random python3 packages missing in buildroots
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 18:54 UTC by Ken Dreyer (Red Hat)
Modified: 2017-01-26 08:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 08:53:51 UTC


Attachments (Terms of Use)

Description Ken Dreyer (Red Hat) 2017-01-24 18:54:23 UTC
Description of problem:
Copr (mock) does not seem to be "seeing" all available packages in buildroots.

From https://copr-be.cloud.fedoraproject.org/results/ktdreyer/downstream-cherry-picker/fedora-26-x86_64/00503368-downstream-cherry-picker/root.log.gz :

  DEBUG util.py:435:  No matching package to install: 'python3-devel'
  DEBUG util.py:435:  No matching package to install: 'python3-pytest'
  DEBUG util.py:435:  No matching package to install: 'python3-requests'

Taking "python3-pytest" as an example, the python3-pytest RPM does exist in F26: https://koji.fedoraproject.org/koji/buildinfo?buildID=825094 . I'm not sure why Copr thinks there is not python3-pytest package available.

The same thing happens with my Fedora 24 builds, although it's for a different package: https://copr-be.cloud.fedoraproject.org/results/ktdreyer/downstream-cherry-picker/fedora-24-x86_64/00503368-downstream-cherry-picker/root.log.gz . It says python3-setuptools is unavailable on F24, which seems wrong: https://koji.fedoraproject.org/koji/buildinfo?buildID=735602

How reproducible:
Not sure. F24 and F26 failed in my build, but F25 succeeded.

Steps to Reproduce:
1. Construct a package that BuildRequires some python3- packages
2. Build the package in Copr for F24, F25 and F26

Actual results:
Build fails with "No matching package to install" for some python3- packages

Expected results:
Build succeeds

Comment 1 clime 2017-01-24 19:35:14 UTC
Is this reproducible? There is also this error in the first mentioned log:

"Failed to synchronize cache for repo 'fedora', disabling."

So it could have been a network or perhaps a mirror issue.

Comment 2 Ken Dreyer (Red Hat) 2017-01-25 13:44:26 UTC
I re-tried the build and it worked perfectly. Thanks for the suggestion.

Comment 3 clime 2017-01-26 08:53:51 UTC
(In reply to Ken Dreyer (Red Hat) from comment #2)
> I re-tried the build and it worked perfectly. Thanks for the suggestion.

Nice!


Note You need to log in before you can comment on or make changes to this bug.